commit:     6f2a11c19d460f641e0f75c45d911509e19a55d3
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Mon Sep 24 21:20:47 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Sep 27 21:24:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f2a11c1

dev-python/construct: version bump to 2.9.45.

This version has significant API changes, which uncompatible with
previous 2.8.x branch. Restricted test feature since it requires
additional external dependencies.

Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 dev-python/construct/Manifest                |  1 +
 dev-python/construct/construct-2.9.45.ebuild | 33 ++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/construct/Manifest b/dev-python/construct/Manifest
index 3716c099733..9992b1bf134 100644
--- a/dev-python/construct/Manifest
+++ b/dev-python/construct/Manifest
@@ -1 +1,2 @@
 DIST construct-2.8.21.tar.gz 706022 BLAKE2B 
a7fb81185b380b444bede5dffce11158d93f0076cc3fbd836cdef3cf8425e2bcce0cf7b8e2d2654effc8beac3d3d0f722dd2786103f9b85f05b98216fc7684cb
 SHA512 
f8e2c8d0f437cce760b1439fc68e2b10dccf852e1bf3c42e0569a3e32fe218d2a4d4cc662229455a910fa8a7cf0fc0500cb0d38ad0485f1b9fd954334f343562
+DIST construct-2.9.45.tar.gz 1042299 BLAKE2B 
4d646c3a340b969e83e15436422732f4f4380ef24cd0e9f258f3d3666f17b08ab628d19db39bb8fcd3f370c2b0c93a8329fba56727f28d7a23d868d001610927
 SHA512 
78d64f3e567e6c9cef842d3e15f416d48856d229a8c6f21e282d3123a86fdd243b20dba5040c6e1d28b67422881351b303262132263efdf94bb73adde0d5dfc1

diff --git a/dev-python/construct/construct-2.9.45.ebuild 
b/dev-python/construct/construct-2.9.45.ebuild
new file mode 100644
index 00000000000..b0b6c560e04
--- /dev/null
+++ b/dev-python/construct/construct-2.9.45.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A powerful declarative parser for binary data"
+HOMEPAGE="http://construct.readthedocs.io/ https://pypi.org/project/construct/";
+SRC_URI="https://github.com/construct/construct/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="test"
+
+DEPEND="test? (
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       pytest -vv || die "Tests failed under ${EPYTHON}"
+}
+
+pkg_postinst() {
+       ewarn "Version 2.9.x has significant API and implementation changes 
from"
+       ewarn "previous 2.8.x releases. Please read the documentation at"
+       ewarn "https://construct.readthedocs.io/en/latest/transition29.html";
+       ewarn "for more info."
+}

Reply via email to